vty-unix-0.2.0.0: Unix backend for Vty

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.Platform.Unix.Input.Focus

Description

Focus mode implementation.

This module is exposed for testing purposes only; applications should never need to import this directly.

Synopsis

- requestFocusEvents :: ByteString
- disableFocusEvents :: ByteString
- isFocusEvent :: ByteString -> Bool
- classifyFocusEvent :: ByteString -> KClass

# Documentation

requestFocusEvents :: ByteString Source #

These sequences set xterm-based terminals to send focus event sequences.

disableFocusEvents :: ByteString Source #

These sequences disable focus events.

isFocusEvent :: ByteString -> Bool Source #

Does the specified string begin with a focus event?

classifyFocusEvent :: ByteString -> KClass Source #

Attempt to classify an input string as a focus event.